<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="header.css" />
	<link rel="stylesheet" href="videogame.css" />
	<title>Detalle</title>

	<script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("Videojuegos/Videojuego" + idReceta + ".xml");
				xsl = loadXMLDoc("Videojuegos/detalle.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-videojuego").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>


</head>

<body class="content-body" onload="displayResult()">
	

	<header>
        <div id="m04play" class="landscape">
            <img src="ApellidoNombre/src/logo.png" alt="logo" width="300px">
            <h1>VIVE EN TU MUNDO , JUEGA EN EL NUESTRO</h1>
        </div>
    </header>
    <div class="link">
        <nav>
            <ul>
                <a href="PortalDeVideojuegos.html#m04play">M04PLAY </a>
                <a href="PortalDeVideojuegos.html#videojuegos">VIDEOJUEGOS</a>
                <a href="PortalDeVideojuegos.html#noticias">NOTICIAS</a>
                <a href="PortalDeVideojuegos.html#ranking">RANKING</a>
                <a href="encuesta.html">ENCUESTA</a>
                <a href="">CONTACTO</a>
            </ul>
        </nav>
    </div>

	<main>
		
		
		<!---CONTENEDOR DE L CÓDIGO DÓNDE IRÁ LOS VIDEOJUEGOS-->
		<section class="content" id="content-videojuego">
		</section>

	</main>

    <footer>
        <div>
            <p></p>
            <a href=""><img class="footer" src="ApellidoNombre/src/instagram.jpeg" alt="ig"></a>
            <a href=""><img class="footer" src="ApellidoNombre/src/facebook.png" alt="facebook"></a>
            <a href=""><img class="footer" src="ApellidoNombre/src/twitter.png" alt="twiter"></a>
            <a href=""><img class="footer" src="ApellidoNombre/src/youtube.jpeg" alt="youtube"></a>
        </div>
        <address class="dir">
            Carrer d'Aiguablava 121 <br> 08033 Barcelona
        </address>
        <p>
            <a href="">Copyright &copy; 2022-2022</a>
        </p>
    </footer>

</body>

</html>